Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index.sorter
Class Sorter.DocMap

    java.lang.Object
      org.apache.lucene.index.sorter.Sorter.DocMap

Enclosing class:
  Sorter

    public abstract static class Sorter.DocMap

extends Object

A permutation of doc IDs. For every document ID between `0` and `IndexReader.maxDoc()`, `oldToNew(newToOld(docID))` must return `docID`.

Constructor Summary
`Sorter.DocMap()`

Method Summary
`abstract int` | `newToOld(int docID)` Given the ordinal of a doc ID, return its doc ID in the original index.
`abstract int` | `oldToNew(int docID)` Given a doc ID from the original index, return its ordinal in the sorted index.
`abstract int` | `size()` Return the number of documents in this map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sorter.DocMap

    public Sorter.DocMap()

Method Detail

### oldToNew

    public abstract int oldToNew(int docID)

  Given a doc ID from the original index, return its ordinal in the sorted index.

### newToOld

    public abstract int newToOld(int docID)

  Given the ordinal of a doc ID, return its doc ID in the original index.

### size

    public abstract int size()

  Return the number of documents in this map. This must be equal to the `number of documents` of the `AtomicReader` which is sorted.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.